com.example.labstatus.ui.SL2

## Class SL2ViewModel

- java.lang.Object
- - androidx.lifecycle.ViewModel
  - - com.example.labstatus.ui.SL2.SL2ViewModel

-     public class SL2ViewModel
      extends androidx.lifecycle.ViewModel

  Author:
    Area51

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `color`
    `private androidx.lifecycle.MutableLiveData<java.lang.String>` | `mText`
    `java.lang.String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SL2ViewModel()`
    `SL2ViewModel(java.lang.String t, java.lang.String c)` Constructor for Model

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `androidx.lifecycle.LiveData<java.lang.String>` | `getText()`

    - ### Methods inherited from class androidx.lifecycle.ViewModel

      `onCleared`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### color

          public java.lang.String color

    - #### mText

          private androidx.lifecycle.MutableLiveData<java.lang.String> mText

    - #### text

          public java.lang.String text

  - ### Constructor Detail

    - #### SL2ViewModel

          public SL2ViewModel()

    - #### SL2ViewModel

          public SL2ViewModel(java.lang.String t,
                              java.lang.String c)

      Constructor for Model
      Parameters:
        `c` - color
        `t` - text

  - ### Method Detail

    - #### getText

          public androidx.lifecycle.LiveData<java.lang.String> getText()